package com.zm.order.tool.server.cymarketing;

import com.zm.order.tool.server.model.MsPointsMallLogs;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 积分商城 - 兑换记录
 *
 * @author nianchang
 */
 @Repository
public interface MsPointsMallLogsDao {

    /**
     * 新增一条记录
     *
     * @param record MsPointsMallLogs
     * @return 影响行数
     */
    int insert(MsPointsMallLogs record);

    /**
     * 查询列表
     *
     * @return list
     */
    List<MsPointsMallLogs> selectList();

    MsPointsMallLogs selectOne(String orderNo);

}
